felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Neil Bartlett <njbartl...@gmail.com>
Subject Re: Repackaged Bundle Activator
Date Sun, 21 Feb 2016 13:21:48 GMT
If you change the BundleActivator interface to a different package then the runtime OSGi Framework
will not recognise it as a valid activator. So this is probably not an error that should be
ignored.

Regards,
Neil


> On 21 Feb 2016, at 13:18, Jibie Job <jibie.job@gmail.com> wrote:
> 
> I was trying to build an OSGI plugin for dotCMS using the
> maven-bundle-plugin (3.0.1) and am having an issue with the build failing
> with an error:
> 
> The Bundle Activator com.threeci.dotcms.services.Activator does not
> implement BundleActivator.
> The issue is due to dotCMS repackaging the standard osgi framework packages
> under com.dotcms.repackage as
> com.dotcms.repackage.org.osgi.framework.BundleActivator which means that
> the maven bundle tool is unable to successfully verify the Activator
> matches the expected interface.
> 
> Is there a way to specify which interface should be used in the bundle
> activator check via the maven configuration?


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message